Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: How do I install the mplayer, step by step? NEW HERE

  1. #1

    Default How do I install the mplayer, step by step? NEW HERE

    Hi, How do I install the mplayer? Iḿ new at this.....

  2. #2
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: How do I install the mplayer, step by step? NEW HERE

    Follow this guide:
    Multi-media and Restricted Format Installation Guide
    There is a separate section for each release from oldest to 11.4

    When installed, the package "smplayer" will install mplayer as a dependency.

    As a new user, you should also familiarize yourself with the guides in Forum: New User How To/FAQ (read only)

  3. #3

    Default Re: How do I install the mplayer, step by step? NEW HERE

    tried this :
    Re: [ASK] MPlayer or VLC??

    Install them both, follow this
    Multi-media and Restricted Format Installation Guide > How do I install the mplayer, step by step? NEW HERE

    and then ended up with a mess, and no mplayer....


    ________________________________________________________________________________
    linux:/home/till # zypper ar -f http://opensuse-guide.org/repo/11.3/ libdvdcss
    Adding repository 'libdvdcss' [done]
    Repository 'libdvdcss' successfully added
    Enabled: Yes
    Autorefresh: Yes
    URI: http://opensuse-guide.org/repo/11.3/

    linux:/home/till #
    linux:/home/till #
    linux:/home/till # zypper ref
    Repository 'HP-BNB-Dedicated-Update-Channel' is up to date.
    Retrieving repository 'libdvdcss' metadata [\]

    New repository or package signing key received:
    Key ID: B2F796E76867F5BE
    Key Name: Martin Schlander (cb400f) <martin.schlander@gmail.com>
    Key Fingerprint: BB43B3336DDF49C5C5A63613B2F796E76867F5BE
    Repository: libdvdcss

    Do you want to reject the key, trust temporarily, or trust always? [r/t/a/?] (r): a
    Retrieving repository 'libdvdcss' metadata [done]
    Building repository 'libdvdcss' cache [done]
    Repository 'multimedia-libs' is up to date.
    Repository 'vlc' is up to date.
    All repositories have been refreshed.
    linux:/home/till # zypper ar -f Index of /pub/linux/misc/packman/suse/openSUSE_11.3 packman
    Adding repository 'packman' [done]
    Repository 'packman' successfully added
    Enabled: Yes
    Autorefresh: Yes
    URI: Index of /pub/linux/misc/packman/suse/openSUSE_11.3

    linux:/home/till # zypper ref
    Repository 'HP-BNB-Dedicated-Update-Channel' is up to date.
    Repository 'libdvdcss' is up to date.
    Repository 'multimedia-libs' is up to date.
    Retrieving repository 'packman' metadata [\]

    New repository or package signing key received:
    Key ID: 45A1D0671ABD1AFB
    Key Name: PackMan Project (signing key) <packman@links2linux.de>
    Key Fingerprint: F8875B880D518B6B8C530D1345A1D0671ABD1AFB
    Repository: packman

    Do you want to reject the key, trust temporarily, or trust always? [r/t/a/?] (r): a
    Retrieving repository 'packman' metadata [done]
    Building repository 'packman' cache [done]
    Repository 'vlc' is up to date.
    All repositories have been refreshed.
    linux:/home/till # zypper in lame libavcodec52 libavdevice52 ffmpeg gecko-mediaplayer libdvdnav4 libdvdread4 libquicktime libxine1 libxine1-codecs libxvidcore4 smplayer vlc w32codec-all xine-ui xvidcore
    Loading repository data...
    Reading installed packages...
    'libdvdnav4' is already installed.
    No update candidate for 'libdvdnav4'.
    'libdvdread4' is already installed.
    No update candidate for 'libdvdread4'.
    'vlc' is already installed.
    No update candidate for 'vlc'.
    Resolving package dependencies...
    6 Problems:
    Problem: nothing provides libcdio.so.10 needed by libxine1-codecs-1.1.19-2.pm.45.25.i586
    Problem: nothing provides libjpeg.so.8 needed by libxine1-1.1.19-2.pm.45.25.i586
    Problem: nothing provides libpng14.so.14 needed by xine-ui-0.99.6-1.pm.2.1.i586
    Problem: nothing provides libgpod.so.4 needed by gnome-mplayer-1.0.2-1.pm.1.1.i586
    Problem: nothing provides libpng14.so.14 needed by MPlayer-1.0rc4_r33082-1.pm.1.3.i586
    Problem: libavcodec52-0.6.201103092102git-1.pm.2.6.i586 requires libtheoradec.so.1, but this requirement cannot be provided

    Problem: nothing provides libcdio.so.10 needed by libxine1-codecs-1.1.19-2.pm.45.25.i586
    Solution 1: do not ask to install a solvable providing libxine1-codecs
    Solution 2: break libxine1-codecs by ignoring some of its dependencies

    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): s

    Problem: nothing provides libjpeg.so.8 needed by libxine1-1.1.19-2.pm.45.25.i586
    Solution 1: do not ask to install a solvable providing libxine1
    Solution 2: break libxine1 by ignoring some of its dependencies

    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): s

    Problem: nothing provides libpng14.so.14 needed by xine-ui-0.99.6-1.pm.2.1.i586
    Solution 1: do not ask to install a solvable providing xine-ui
    Solution 2: break xine-ui by ignoring some of its dependencies

    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): s

    Problem: nothing provides libgpod.so.4 needed by gnome-mplayer-1.0.2-1.pm.1.1.i586
    Solution 1: do not ask to install a solvable providing gecko-mediaplayer
    Solution 2: break gnome-mplayer by ignoring some of its dependencies

    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): s

    Problem: nothing provides libpng14.so.14 needed by MPlayer-1.0rc4_r33082-1.pm.1.3.i586
    Solution 1: do not ask to install a solvable providing smplayer
    Solution 2: break MPlayer by ignoring some of its dependencies

    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): 2

    Problem: libavcodec52-0.6.201103092102git-1.pm.2.6.i586 requires libtheoradec.so.1, but this requirement cannot be provided
    uninstallable providers: libtheora0-1.1.1-11.6.i586[multimedia-libs]
    Solution 1: Following actions will be done:
    do not ask to install a solvable providing libavcodec52
    do not ask to install a solvable providing libavdevice52
    Solution 2: install libtheora0-1.1.1-11.6.i586 (with vendor change)
    SUSE LINUX Products GmbH, Nuernberg, Germany --> openSUSE Build Service
    Solution 3: break libavcodec52 by ignoring some of its dependencies

    Choose from above solutions by number or skip, retry or cancel [1/2/3/s/r/c] (c): 2
    Resolving dependencies...
    Resolving package dependencies...
    4 Problems:
    Problem: nothing provides libcdio.so.10 needed by libxine1-codecs-1.1.19-2.pm.45.25.i586
    Problem: nothing provides libjpeg.so.8 needed by libxine1-1.1.19-2.pm.45.25.i586
    Problem: nothing provides libpng14.so.14 needed by xine-ui-0.99.6-1.pm.2.1.i586
    Problem: nothing provides libgpod.so.4 needed by gnome-mplayer-1.0.2-1.pm.1.1.i586

    Problem: nothing provides libcdio.so.10 needed by libxine1-codecs-1.1.19-2.pm.45.25.i586
    Solution 1: do not ask to install a solvable providing libxine1-codecs
    Solution 2: break libxine1-codecs by ignoring some of its dependencies

    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): 1

    Problem: nothing provides libjpeg.so.8 needed by libxine1-1.1.19-2.pm.45.25.i586
    Solution 1: do not ask to install a solvable providing libxine1
    Solution 2: break libxine1 by ignoring some of its dependencies

    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): c

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,738

    Default AW: Re: How do I install the mplayer, step by step? NEW HERE

    I tink, this is the problem:
    Repository 'vlc' is up to date.
    vlc- and packman-repository at the same time is no good idea.

    Switch all programs from vlc-repo to packman-repo and delete the vlc-repo.

    Please post:
    Code:
    zypper lr -d

  5. #5
    Join Date
    Aug 2009
    Location
    Poland, Cracov
    Posts
    55

    Default Re: AW: Re: How do I install the mplayer, step by step? NEW HERE

    You do not need the VLC repo. I would
    1. open YaST Software Management,
    2. Hit the "View" button, take Repositories,
    3. click the Repositories tab,
    4. Click Packman repo,
    5. there's a blue link-button "Switch system packages to this repo". Click it. Accept VENDOR CHANGES (do not accept to brake dependencies, NEVER)
    6. Then "Accept". Run the package installation.
    7. Go to Repositories Manager
    8. Delete VLC repo
    9. Follow this guide:

    openSUSE starter: Step 1: Repositories and get all multimedia stuff to work.

    If you already got packman repo added, you can jump over the step about adding repos. With packman already present, actually start from the place:

    Now you will be transported back to the Software Manager. Here in the searchbox you can type in package names and on the right side you'll see results.

    We need to install a couple of multimedia apps, that will automatically pull the needed codeds along......


    Have fun.
    I am daddy, u r son - I am now and u r gone!! [MC Hammer - They put me in the mix]

  6. #6

    Default Re: AW: Re: How do I install the mplayer, step by step? NEW HERE

    zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    --+---------------------------------+---------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------------------------------------+--------
    1 | HP-BNB-Dedicated-Update-Channel | HP-BNB-Dedicated-Update-Channel | Yes | Yes | 99 | rpm-md | https://SLED11SP1HPBNBUNREGISTERED@nu.novell.com/repo/$RCE/SLED11-SP1-HP-BNB-Unregistered-Updates/sle-11-i586/ |
    2 | libdvdcss | libdvdcss | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/11.3/ |
    3 | multimedia-libs | multimedia-libs | Yes | Yes | 99 | rpm-md | Index of /repositories/multimedia:/libs/SLE_11 |
    4 | packman | packman | Yes | Yes | 99 | rpm-md | Index of /pub/linux/misc/packman/suse/openSUSE_11.3 |
    5 | vlc | vlc | Yes | Yes | 99 | rpm-md | Index of /pub/vlc/SuSE/11.2/

  7. #7
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,738

    Default AW: Re: AW: Re: How do I install the mplayer, step by step? NEW HERE

    You have installed SuseLinuxEnterprise 11 not Opensuse 11.3.

    I would delete the SLED 11 installation and install the new OpenSuse 11.4.

    PS
    Your repos are for OpenSuse 11.2, 11.3 and SLED 11.

  8. #8

    Default Re: AW: Re: How do I install the mplayer, step by step? NEW HERE

    When I tell software manager to install smplayer, Software manager gives me a message :
    nothing provides libpng14.so.14 needed by MPlayer-1 .Orc4_r33082-1.pm.3.i586
    do not install...........
    break MPlayer by ignoring some dependencies

  9. #9
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: AW: Re: How do I install the mplayer, step by step? NEW HERE

    Please pay attention to what post #7 from @Sauerland is telling you. You have added a mis-match of wrong repositories, and that's a mistake.

    What version of openSUSE did you install?

    In your output from "zypper lr -d" (your post #6), where are the distribution's main three repos (Oss, Non-oss, and Update), as they appear to be missing?

  10. #10

    Default Re: AW: Re: How do I install the mplayer, step by step? NEW HERE

    I have a pre-installed SLED 11,

    Right now I am downloading 11.4 (should have it all in about a hour)

    here is the sypper lr .d again:
    till@linux:~> zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    --+---------------------------------+---------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------------------------------------+--------
    1 | HP-BNB-Dedicated-Update-Channel | HP-BNB-Dedicated-Update-Channel | Yes | Yes | 99 | rpm-md | https://SLED11SP1HPBNBUNREGISTERED@nu.novell.com/repo/$RCE/SLED11-SP1-HP-BNB-Unregistered-Updates/sle-11-i586/ |
    2 | libdvdcss | libdvdcss | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/11.3/ |
    3 | multimedia-libs | multimedia-libs | Yes | Yes | 99 | rpm-md | Index of /repositories/multimedia:/libs/SLE_11 |
    4 | packman | packman | Yes | Yes | 99 | rpm-md | Index of /pub/linux/misc/packman/suse/openSUSE_11.3 |
    till@linux:~>

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •